---
updatedAt: 2025-06-11T20:38:52.000Z
agentTools:
  projectIndex: https://docs.allthatnode.com/llms.txt
---

# _getValidatorsetsByHeight

Get a validator set a certain height

# Parameters

* `height`: `NUMBER` - Block height

```curl Example
curl https://cosmos-mainnet-archive.allthatnode.com:1317/validatorsets/16266546 \
--header "x-allthatnode-api-key: 8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj"
```

# Returns

* `OBJECT` - The validator set at a specific block height

```json Example
{
  "height": "0",
  "result": {
    "block_height": "16266546",
    "validators": [
      {
        "address": "cosmosvalcons1668wcrfwsfy0rmryek6ctmdkrm9yx27c7grulf",
        "pub_key": {
          "type": "tendermint/PubKeyEd25519",
          "value": "LtiHVLCcE+oFII0vpIl9mfkGDmk9BpPg1eUkvKnO4xw="
        },
        "proposer_priority": "-20395554",
        "voting_power": "21396757"
      },
      {
        "address": "cosmosvalcons16t2937fqnm9ceg42k8veupnprwqj4puhwm6yyv",
        "pub_key": {
          "type": "tendermint/PubKeyEd25519",
          "value": "hUDXospsiB6oJVvkRVB2IyanCHs5hiaeqoEWzp9be8w="
        },
        "proposer_priority": "58612620",
        "voting_power": "15639551"
      },
      //More...
      {
        "address": "cosmosvalcons1kpm95tm0esga3tzxya06cpkaxh65y97pmqgmng",
        "pub_key": {
          "type": "tendermint/PubKeyEd25519",
          "value": "inTpwtq2gc0g86M+Sovdk7wCxe68QG0Kxr2XO9S/q+0="
        },
        "proposer_priority": "-76447886",
        "voting_power": "360514"
      },
      {
        "address": "cosmosvalcons1prcacwwfjesnpwtq36uvyd86y96rv8azq63ken",
        "pub_key": {
          "type": "tendermint/PubKeyEd25519",
          "value": "4jkFAWNCgmrEevSVOjqGGnVCwqgdXnffb70gW6sUaJc="
        },
        "proposer_priority": "-40502457",
        "voting_power": "359129"
      }
    ],
    "total": "180"
  }

```

***

# Try Yourself

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "cosmos-hub-lcd-rest",
    "version": "0.5.0"
  },
  "servers": [
    {
      "url": "https://cosmos-mainnet-archive.allthatnode.com:1317"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/validatorsets/{height}": {
      "get": {
        "summary": "_getValidatorsetsByHeight",
        "description": "Get a validator set a certain height",
        "operationId": "validatorsets_height-cosmoshub",
        "parameters": [
          {
            "name": "x-allthatnode-api-key",
            "in": "header",
            "description": "All That Node API key",
            "required": true,
            "schema": {
              "type": "string",
              "default": "8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj"
            }
          },
          {
            "name": "height",
            "in": "path",
            "schema": {
              "type": "string",
              "default": "16266546"
            },
            "required": true
          }
        ],
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```